io.undertow.security.idm

## Interface Account

All Superinterfaces:
  Serializable

    public interface Account
    extends Serializable

Representation of an account, most likely a user account.

Author:
  Darran Lofthouse

### Method Summary

All Methods Instance Methods Abstract Methods
`Principal` `getPrincipal()`
`Set<String>` `getRoles()` Returns the users roles.

### Method Detail

#### getPrincipal

    Principal getPrincipal()

#### getRoles

    Set<String> getRoles()

Returns the users roles.

Returns:
  A set of the users roles